From b39a3d13a2170d770be6677d1135b3b43ed12b65 Mon Sep 17 00:00:00 2001
From: "kuroda.hayato%40jp.fujitsu.com" <kuroda.hayato@jp.fujitsu.com>
Date: Mon, 26 Sep 2022 06:18:25 +0000
Subject: [PATCH] Change datatype of ParallelMessagePending to keep consistency
 with other codes

The flag ParallelMessagePending is defined as bool from initial commit,
but any other flags set by signal handlers are defined as sig_atomic_t.

This commit fixes it based on other ones.
---
 src/backend/access/transam/parallel.c | 2 +-
 src/include/access/parallel.h         | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/transam/parallel.c b/src/backend/access/transam/parallel.c
index bc93101ff7..8cba888223 100644
--- a/src/backend/access/transam/parallel.c
+++ b/src/backend/access/transam/parallel.c
@@ -113,7 +113,7 @@ typedef struct FixedParallelState
 int			ParallelWorkerNumber = -1;
 
 /* Is there a parallel message pending which we need to receive? */
-volatile bool ParallelMessagePending = false;
+volatile sig_atomic_t ParallelMessagePending = false;
 
 /* Are we initializing a parallel worker? */
 bool		InitializingParallelWorker = false;
diff --git a/src/include/access/parallel.h b/src/include/access/parallel.h
index 983841d45e..1ec8e33af4 100644
--- a/src/include/access/parallel.h
+++ b/src/include/access/parallel.h
@@ -54,7 +54,7 @@ typedef struct ParallelWorkerContext
 	shm_toc    *toc;
 } ParallelWorkerContext;
 
-extern PGDLLIMPORT volatile bool ParallelMessagePending;
+extern PGDLLIMPORT volatile sig_atomic_t ParallelMessagePending;
 extern PGDLLIMPORT int ParallelWorkerNumber;
 extern PGDLLIMPORT bool InitializingParallelWorker;
 
-- 
2.27.0

